﻿-- global variable where we will keep all addon related
ShowMaterials = {}

-- localizations
ShowMaterials.LOCALES = {
	["en"] = {
		phrases = {
			GENERAL = "General",
			ICON_THEME = "Icons Theme",
			ICON_THEME_TOOLTIP = "Choose Theme for icons.\n\nNote for Inventory Grid View add-on users: Icons are not displayed in \"grid\" mode",
			ICON_SIZE = "Material icon Size",
			ICON_SIZE_TOOLTIP = "Set the size for Material icons",
			ICON_POSITION = "Icons Position",
			ICON_POSITION_TOOLTIP = "Set the Position for icons relative to left edge of inventory list",
			COLOR = "Use Type Color",
			COLOR_TOOLTIP = "Set the color for icons according to item type",
			TOOLTIP = "Show tooltips",
			TOOLTIP_TOOLTIP = "Show tooltips for icons on mouse hover.\n\nNote for Inventory Grid View add-on users: Icons are not displayed in \"grid\" mode",
		},
	},
	["de"] = {
		phrases = {
			GENERAL = "Allgemein",
			ICON_THEME = "Symbol Thema",
			ICON_THEME_TOOLTIP = "Wählen Theme für Symbole\n\nHinweis für Bestands Grid View Add-on-Benutzer:. Icons werden nicht in \"Gitter\"-Modus angezeigt.",
			ICON_SIZE = "Motivsymbol Gr\195\182\195\159e",
			ICON_SIZE_TOOLTIP = "Gr\195\182\195\159e des symbols",
			ICON_POSITION = "Symbol Position",
			ICON_POSITION_TOOLTIP = "Position des Symbols (von links)",
			COLOR = "Verwenden Typ Farbe",
			COLOR_TOOLTIP = "Legen Sie die Farbe f\252r die Symbole nach Elementtyp",
			TOOLTIP = "Zeige Tooltips",
			TOOLTIP_TOOLTIP = "Zeige Tooltips wenn der Mauscursor in der Listenansicht \195\188ber den Symbolen ist.\n\nHinweis für Nutzer von Inventory Grid View: Symbole werden nicht in der \"Gitter\" (Grid) Ansicht angezeigt.",
		},
	},
 ["fr"] = {
		phrases = {
			GENERAL = "G\195\169n\195\169ral",
			ICON_THEME = "Style de symboles",
			ICON_THEME_TOOLTIP = "Choisir le th\232me des icônes\n\nRemarque pour Inventaire Grille add-on utilisateurs:. Ic\244nes ne sont pas affich\233es en mode \"r\233seau\"",
			ICON_SIZE = "Taille du Material symbole",
			ICON_SIZE_TOOLTIP = "Taille l\'icone du Material",
			ICON_POSITION = "Position des icones",
			ICON_POSITION_TOOLTIP = "Position des icones en partant de la gauche.",
			COLOR = "Type d'utilisation Couleur",
			COLOR_TOOLTIP = "D\233finir la couleur des icônes selon le type de produit.",
			TOOLTIP = "Afficher les infobulles",
			TOOLTIP_TOOLTIP = "Afficher une infobulle lorsque vous passez le curseur de la souris sur un symbole.\n\nNote aux utilisateurs de l\'add-on Inventory Grid View: aucun symbole ne sera affich\195\169 en mode \"grille\"",
		},
	},
}

-- to add new theme, need to create new element in ShowMaterials.TYPE_TEXTURES  with same name(ex: Default)
-- textures for Material Types
ShowMaterials.TYPE_TEXTURES = {
	["Default"] = {
		[ITEMTYPE_ALCHEMY_BASE] = {
			texture = [[ShowMaterials/themes/Default/alchemy_base.dds]],
		},
		[ITEMTYPE_ARMOR_TRAIT] = {
			texture = [[ShowMaterials/themes/Default/armor_trait.dds]],
		},
		[ITEMTYPE_BLACKSMITHING_BOOSTER] = {
			texture = [[ShowMaterials/themes/Default/bs_boost.dds]],
		},
		[ITEMTYPE_BLACKSMITHING_MATERIAL] = {
			texture = [[ShowMaterials/themes/Default/bs_mat.dds]],
		},
		[ITEMTYPE_BLACKSMITHING_RAW_MATERIAL] = {
			texture = [[ShowMaterials/themes/Default/bs_raw.dds]],
		},
		[ITEMTYPE_CLOTHIER_BOOSTER] = {
			texture = [[ShowMaterials/themes/Default/cl_boost.dds]],
		},
		[ITEMTYPE_CLOTHIER_MATERIAL] = {
			texture = [[ShowMaterials/themes/Default/cl_mat.dds]],
		},
		[ITEMTYPE_CLOTHIER_RAW_MATERIAL] = {
			texture = [[ShowMaterials/themes/Default/cl_raw.dds]],
		},
		[ITEMTYPE_ENCHANTING_RUNE_ASPECT] = {
			texture = [[ShowMaterials/themes/Default/enchant_rune.dds]],
		},
		[ITEMTYPE_ENCHANTING_RUNE_ESSENCE] = {
			texture = [[ShowMaterials/themes/Default/enchant_rune.dds]],
		},
		[ITEMTYPE_ENCHANTING_RUNE_POTENCY] = {
			texture = [[ShowMaterials/themes/Default/enchant_rune.dds]],
		},
		[ITEMTYPE_GLYPH_ARMOR] = {
			texture = [[ShowMaterials/themes/Default/glyph_ar.dds]],
		},
		[ITEMTYPE_GLYPH_JEWELRY] = {
			texture = [[ShowMaterials/themes/Default/glyph_jy.dds]],
		},
		[ITEMTYPE_GLYPH_WEAPON] = {
			texture = [[ShowMaterials/themes/Default/glyph_wp.dds]],
		},
		[ITEMTYPE_INGREDIENT] = {
			texture = [[ShowMaterials/themes/Default/ingredient.dds]],
		},
		[ITEMTYPE_REAGENT] = {
			texture = [[ShowMaterials/themes/Default/reagent.dds]],
		},
		[ITEMTYPE_STYLE_MATERIAL] = {
			texture = [[ShowMaterials/themes/Default/style.dds]],
		},
		[ITEMTYPE_WEAPON_TRAIT] = {
			texture = [[ShowMaterials/themes/Default/weapon_trait.dds]],
		},
		[ITEMTYPE_WOODWORKING_BOOSTER] = {
			texture = [[ShowMaterials/themes/Default/wd_boost.dds]],
		},
		[ITEMTYPE_WOODWORKING_MATERIAL] = {
			texture = [[ShowMaterials/themes/Default/wd_mat.dds]],
		},
		[ITEMTYPE_WOODWORKING_RAW_MATERIAL] = {
			texture = [[ShowMaterials/themes/Default/wd_raw.dds]],
		},
		-- These don't match any in game items, possible future items
		[ITEMTYPE_ARMOR_BOOSTER] = {
			texture = [[ShowMaterials/themes/Default/unknown.dds]],
		},
		[ITEMTYPE_ENCHANTMENT_BOOSTER] = {
			texture = [[ShowMaterials/themes/Default/unknown.dds]],
		},
		[ITEMTYPE_FLAVORING] = {
			texture = [[ShowMaterials/themes/Default/unknown.dds]],
		},
		[ITEMTYPE_RAW_MATERIAL] = {
			texture = [[ShowMaterials/themes/Default/unknown.dds]],
		},
		[ITEMTYPE_WEAPON_BOOSTER] = {
			texture = [[ShowMaterials/themes/Default/unknown.dds]],
		},
		[0] = {
			texture = [[ShowMaterials/themes/Default/unknown.dds]],
		},
	},
	["Alphabetic"] = {
		[ITEMTYPE_ALCHEMY_BASE] = {
			texture = [[ShowMaterials/themes/Alpha/alchemy_base.dds]],
		},
		[ITEMTYPE_ARMOR_TRAIT] = {
			texture = [[ShowMaterials/themes/Alpha/armor_trait.dds]],
		},
		[ITEMTYPE_BLACKSMITHING_BOOSTER] = {
			texture = [[ShowMaterials/themes/Alpha/bs_boost.dds]],
		},
		[ITEMTYPE_BLACKSMITHING_MATERIAL] = {
			texture = [[ShowMaterials/themes/Alpha/bs_mat.dds]],
		},
		[ITEMTYPE_BLACKSMITHING_RAW_MATERIAL] = {
			texture = [[ShowMaterials/themes/Alpha/bs_raw.dds]],
		},
		[ITEMTYPE_CLOTHIER_BOOSTER] = {
			texture = [[ShowMaterials/themes/Alpha/cl_boost.dds]],
		},
		[ITEMTYPE_CLOTHIER_MATERIAL] = {
			texture = [[ShowMaterials/themes/Alpha/cl_mat.dds]],
		},
		[ITEMTYPE_CLOTHIER_RAW_MATERIAL] = {
			texture = [[ShowMaterials/themes/Alpha/cl_raw.dds]],
		},
		[ITEMTYPE_ENCHANTING_RUNE_ASPECT] = {
			texture = [[ShowMaterials/themes/Alpha/enchant_rune.dds]],
		},
		[ITEMTYPE_ENCHANTING_RUNE_ESSENCE] = {
			texture = [[ShowMaterials/themes/Alpha/enchant_rune.dds]],
		},
		[ITEMTYPE_ENCHANTING_RUNE_POTENCY] = {
			texture = [[ShowMaterials/themes/Alpha/enchant_rune.dds]],
		},
		[ITEMTYPE_GLYPH_ARMOR] = {
			texture = [[ShowMaterials/themes/Alpha/glyph_ar.dds]],
		},
		[ITEMTYPE_GLYPH_JEWELRY] = {
			texture = [[ShowMaterials/themes/Alpha/glyph_jy.dds]],
		},
		[ITEMTYPE_GLYPH_WEAPON] = {
			texture = [[ShowMaterials/themes/Alpha/glyph_wp.dds]],
		},
		[ITEMTYPE_INGREDIENT] = {
			texture = [[ShowMaterials/themes/Alpha/ingredient.dds]],
		},
		[ITEMTYPE_REAGENT] = {
			texture = [[ShowMaterials/themes/Alpha/reagent.dds]],
		},
		[ITEMTYPE_STYLE_MATERIAL] = {
			texture = [[ShowMaterials/themes/Alpha/style.dds]],
		},
		[ITEMTYPE_WEAPON_TRAIT] = {
			texture = [[ShowMaterials/themes/Alpha/weapon_trait.dds]],
		},
		[ITEMTYPE_WOODWORKING_BOOSTER] = {
			texture = [[ShowMaterials/themes/Alpha/wd_boost.dds]],
		},
		[ITEMTYPE_WOODWORKING_MATERIAL] = {
			texture = [[ShowMaterials/themes/Alpha/wd_mat.dds]],
		},
		[ITEMTYPE_WOODWORKING_RAW_MATERIAL] = {
			texture = [[ShowMaterials/themes/Alpha/wd_raw.dds]],
		},
		-- These don't match any in game items, possible future items
		[ITEMTYPE_ARMOR_BOOSTER] = {
			texture = [[ShowMaterials/themes/Alpha/unknown.dds]],
		},
		[ITEMTYPE_ENCHANTMENT_BOOSTER] = {
			texture = [[ShowMaterials/themes/Alpha/unknown.dds]],
		},
		[ITEMTYPE_FLAVORING] = {
			texture = [[ShowMaterials/themes/Alpha/unknown.dds]],
		},
		[ITEMTYPE_RAW_MATERIAL] = {
			texture = [[ShowMaterials/themes/Alpha/unknown.dds]],
		},
		[ITEMTYPE_WEAPON_BOOSTER] = {
			texture = [[ShowMaterials/themes/Alpha/unknown.dds]],
		},
		[0] = {
			texture = [[ShowMaterials/themes/Alpha/unknown.dds]],
		},
	},
}


